# LOCAL\_INFILE\_Packet

If the client sends a `LOAD DATA LOCAL INFILE` statement via [com\_query](/docs/server/reference/clientserver-protocol/2-text-protocol/com_query.md), the server responds with `LOCAL_INFILE_Packet` to tell the client to send a specified file to the server.

## Fields

* [int<1>](/docs/server/reference/clientserver-protocol/protocol-data-types.md#fixed-length-integers) `0xFB` : `LOCAL_INFILE` header.
* [string\<EOF>](/docs/server/reference/clientserver-protocol/protocol-data-types.md#end-of-file-length-strings) filename.

## Client Response

The client sends the file as the packet body. If the file is large, the contents are sent in multiple separate packets. After the file is sent, the client must send an empty packet to indicate that no more data will follow.

Once the client has finished sending the file, the server will respond with an [OK\_packet](/docs/server/reference/clientserver-protocol/4-server-response-packets/ok_packet.md) or an [ERR\_packet](/docs/server/reference/clientserver-protocol/4-server-response-packets/err_packet.md).

<sub>*This page is licensed: CC BY-SA / Gnu FDL*</sub>

{% @marketo/form formId="4316" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mariadb.com/docs/server/reference/clientserver-protocol/4-server-response-packets/packet_local_infile.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
